Bug 888096 - [WebTrans] project become read only with editor options panel open will still allow user to change editor options
[WebTrans] project become read only with editor options panel open will still...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic, Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 19:49 EST by Patrick Huang
Modified: 2013-02-25 23:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121219-0033)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-12-17 19:49:08 EST
Description of problem:
When user is on translation editor and with editor options panel open, change project iteration to read only from another browser session. Buttons will be hidden but editor options panel is still visible and accessible. User then is able to re-enable display buttons and copy from source etc to trigger a save (which will fail on server).

Version-Release number of selected component (if applicable):
2.0.3-

How reproducible:
Always

Steps to Reproduce:
1. Open translation editor and open editor options panel
2. Open another browser tab and go to the same project iteration and change iteration to read only
3. Go back to original tab and noticed the editor become read only but editor options is still visible
4. Enable 'Editor buttons' option and buttons are shown again
5. Click on 'Copy from source' button and source will be copied into editor!!
6. Navigate to a different row and it will trigger a save
  
Actual results:
Save will fail eventually and bring up notification panel and by this time the editor options panel is hidden as per expected.

Expected results:
Once workspace become read only, editor options panel should become invisible immediately so that user won't be able to mess with the UI. 

Additional info:
Comment 1 Patrick Huang 2012-12-17 21:02:55 EST
committed into master:
https://github.com/zanata/zanata/commit/d3573bc5f2cad89cdd12f50d0fdbaecf0324ab6b
Comment 2 Ding-Yi Chen 2012-12-18 23:15:38 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121219-0033)

Note You need to log in before you can comment on or make changes to this bug.